@import '@/styles/colors';
@import '@/styles/mixins/breakpoints';

.skeleton {
  background-color: $color-slate-600;
  background-image: linear-gradient(
                  90deg,
                  rgba(#fff, 0),
                  rgba(#fff, 0.5),
                  rgba(#fff, 0)
  );
  background-size: 40px 100%;
  background-repeat: no-repeat;
  background-position: left -40px top 0;
  animation: shine 1s ease infinite;
}

.icon {
  max-height: 24px;
  max-width: 24px;
  min-height: 24px;
  min-width: 24px;
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  border-radius: 8px;
}

.layout {
  position: relative;
  display: flex;
  flex-direction: column;

  @include breakpoint-sm() {
    align-items: center;
  }

  &_main {
    height: calc(100% - 92px);

    @include breakpoint-sm() {
      max-width: 640px;
      min-width: 640px;
    }
  }
}

.nav {
  position: absolute;
  bottom: 0;
  left: 0;
  height: 92px;
  background-color: $color-custom-level-2-background-cards;
  -webkit-border-radius: 88px;
  -moz-border-radius: 88px;
  border-radius: 88px;
  padding: 16px 26px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;

  &_container {
    position: relative;

    height: 92px;

    @include breakpoint-sm() {
      max-width: 640px;
      min-width: 640px;
    }
  }

  &_element {
    padding: 16px;
    display: flex;
    justify-content: center;
    align-items: center;

    &_circled {
      border: 2px solid $color-custom-text-tooltips;
      -webkit-border-radius: 50%;
      -moz-border-radius: 50%;
      border-radius: 50%;
    }
  }
}

.block {
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  border-radius: 8px;
}

.card {
  width: 100%;
  -webkit-border-radius: 12px;
  -moz-border-radius: 12px;
  border-radius: 12px;
  height: 108px;
  background-color: $color-custom-level-2-background-cards;
}

@keyframes shine {
  to {
    background-position: right -40px top 0;
  }
}